Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class ComponentIdentificationImpl

    java.lang.Object
      |
      +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
            |
            +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
                  |
                  +--org.eclipse.emf.ecore.impl.EObjectImpl
                        |
                        +--org.eclipse.hyades.logging.events.cbe.impl.SerializableImpl
                              |
                              +--org.eclipse.hyades.logging.events.cbe.impl.ComponentIdentificationImpl

All Implemented Interfaces:
  java.lang.Cloneable, ComponentIdentification, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

public class ComponentIdentificationImpl
extends SerializableImpl
implements ComponentIdentification, java.lang.Cloneable

An implementation of the model object 'Component Identification'.

Since:
  1.0
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `application` The cached value of the '`Application`' attribute.
`protected static java.lang.String` | `APPLICATION_EDEFAULT` The default value of the '`Application`' attribute.
`protected java.lang.String` | `component` The cached value of the '`Component`' attribute.
`protected static java.lang.String` | `COMPONENT_EDEFAULT` The default value of the '`Component`' attribute.
`protected static java.lang.String` | `COMPONENT_ID_TYPE_EDEFAULT` The default value of the '`Component Id Type`' attribute.
`protected static java.lang.String` | `COMPONENT_TYPE_EDEFAULT` The default value of the '`Component Type`' attribute.
`protected java.lang.String` | `componentIdType` The cached value of the '`Component Id Type`' attribute.
`protected java.lang.String` | `componentType` The cached value of the '`Component Type`' attribute.
`protected static java.lang.String` | `EXECUTION_ENVIRONMENT_EDEFAULT` The default value of the '`Execution Environment`' attribute.
`protected java.lang.String` | `executionEnvironment` The cached value of the '`Execution Environment`' attribute.
`protected static java.lang.String` | `INSTANCE_ID_EDEFAULT` The default value of the '`Instance Id`' attribute.
`protected java.lang.String` | `instanceId` The cached value of the '`Instance Id`' attribute.
`protected java.lang.String` | `location` The cached value of the '`Location`' attribute.
`protected static java.lang.String` | `LOCATION_EDEFAULT` The default value of the '`Location`' attribute.
`protected static java.lang.String` | `LOCATION_TYPE_EDEFAULT` The default value of the '`Location Type`' attribute.
`protected java.lang.String` | `locationType` The cached value of the '`Location Type`' attribute.
`protected static java.lang.String` | `PROCESS_ID_EDEFAULT` The default value of the '`Process Id`' attribute.
`protected java.lang.String` | `processId` The cached value of the '`Process Id`' attribute.
`protected static java.lang.String` | `SUB_COMPONENT_EDEFAULT` The default value of the '`Sub Component`' attribute.
`protected java.lang.String` | `subComponent` The cached value of the '`Sub Component`' attribute.
`protected static java.lang.String` | `THREAD_ID_EDEFAULT` The default value of the '`Thread Id`' attribute.
`protected java.lang.String` | `threadId` The cached value of the '`Thread Id`' attribute.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties`

Fields inherited from interface org.eclipse.hyades.logging.events.cbe.ComponentIdentification
`COMPONENT_ID_TYPE_APPLICATION, COMPONENT_ID_TYPE_DEVICE_NAME, COMPONENT_ID_TYPE_PROCESS, COMPONENT_ID_TYPE_PRODUCT_NAME, COMPONENT_ID_TYPE_SERVICE_NAME, COMPONENT_ID_TYPE_SYSTEM_NAME, COMPONENT_ID_TYPE_UNKNOWN, LOCATION_TYPE_DCC, LOCATION_TYPE_DEVICE_NAME, LOCATION_TYPE_DIAL, LOCATION_TYPE_E_164, LOCATION_TYPE_FQ_HOSTNAME, LOCATION_TYPE_HID, LOCATION_TYPE_HOSTNAME, LOCATION_TYPE_HWA, LOCATION_TYPE_ICD, LOCATION_TYPE_IPV4, LOCATION_TYPE_IPV6, LOCATION_TYPE_IPX, LOCATION_TYPE_ISDN, LOCATION_TYPE_NWA, LOCATION_TYPE_OID_OSI, LOCATION_TYPE_SNA, LOCATION_TYPE_UNKNOWN, LOCATION_TYPE_X25`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `ComponentIdentificationImpl()`

Method Summary
`java.lang.Object` | `clone()` return a cloned (copy by value) object.
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`boolean` | `equals(java.lang.Object arg0)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.String` | `getApplication()`
`java.lang.String` | `getComponent()`
`java.lang.String` | `getComponentIdType()`
`java.lang.String` | `getComponentType()`
`java.lang.String` | `getExecutionEnvironment()`
`java.lang.String` | `getInstanceId()`
`java.lang.String` | `getLocation()`
`java.lang.String` | `getLocationType()`
`java.lang.String` | `getProcessId()`
`java.lang.String` | `getSubComponent()`
`java.lang.String` | `getThreadId()`
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setApplication(java.lang.String newApplication)`
`void` | `setComponent(java.lang.String newComponent)`
`void` | `setComponentIdType(java.lang.String newComponentIdType)`
`void` | `setComponentType(java.lang.String newComponentType)`
`void` | `setExecutionEnvironment(java.lang.String newExecutionEnvironment)`
`void` | `setInstanceId(java.lang.String newInstanceId)`
`void` | `setLocation(java.lang.String newLocation)`
`void` | `setLocationType(java.lang.String newLocationType)`
`void` | `setProcessId(java.lang.String newProcessId)`
`void` | `setSubComponent(java.lang.String newSubComponent)`
`void` | `setThreadId(java.lang.String newThreadId)`
`java.lang.String` | `toString()`
`void` | `validate()` Checks whether the contents of this object conform to the CBE specification.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eContainerFeatureID, eDeliver, eInternalContainer, eProperties, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eClass, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsProxy, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetClass, eSetProxyURI, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore, eURIFragmentSegment`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### APPLICATION_EDEFAULT

    protected static final java.lang.String APPLICATION_EDEFAULT

  The default value of the '`Application`' attribute.

  See Also:
    `getApplication()`

### application

    protected java.lang.String application

  The cached value of the '`Application`' attribute.

  See Also:
    `getApplication()`

### COMPONENT_EDEFAULT

    protected static final java.lang.String COMPONENT_EDEFAULT

  The default value of the '`Component`' attribute.

  See Also:
    `getComponent()`

### component

    protected java.lang.String component

  The cached value of the '`Component`' attribute.

  See Also:
    `getComponent()`

### COMPONENT_TYPE_EDEFAULT

    protected static final java.lang.String COMPONENT_TYPE_EDEFAULT

  The default value of the '`Component Type`' attribute.

  See Also:
    `getComponentType()`

### componentType

    protected java.lang.String componentType

  The cached value of the '`Component Type`' attribute.

  See Also:
    `getComponentType()`

### COMPONENT_ID_TYPE_EDEFAULT

    protected static final java.lang.String COMPONENT_ID_TYPE_EDEFAULT

  The default value of the '`Component Id Type`' attribute.

  See Also:
    `getComponentIdType()`

### componentIdType

    protected java.lang.String componentIdType

  The cached value of the '`Component Id Type`' attribute.

  See Also:
    `getComponentIdType()`

### EXECUTION_ENVIRONMENT_EDEFAULT

    protected static final java.lang.String EXECUTION_ENVIRONMENT_EDEFAULT

  The default value of the '`Execution Environment`' attribute.

  See Also:
    `getExecutionEnvironment()`

### executionEnvironment

    protected java.lang.String executionEnvironment

  The cached value of the '`Execution Environment`' attribute.

  See Also:
    `getExecutionEnvironment()`

### INSTANCE_ID_EDEFAULT

    protected static final java.lang.String INSTANCE_ID_EDEFAULT

  The default value of the '`Instance Id`' attribute.

  See Also:
    `getInstanceId()`

### instanceId

    protected java.lang.String instanceId

  The cached value of the '`Instance Id`' attribute.

  See Also:
    `getInstanceId()`

### LOCATION_EDEFAULT

    protected static final java.lang.String LOCATION_EDEFAULT

  The default value of the '`Location`' attribute.

  See Also:
    `getLocation()`

### location

    protected java.lang.String location

  The cached value of the '`Location`' attribute.

  See Also:
    `getLocation()`

### LOCATION_TYPE_EDEFAULT

    protected static final java.lang.String LOCATION_TYPE_EDEFAULT

  The default value of the '`Location Type`' attribute.

  See Also:
    `getLocationType()`

### locationType

    protected java.lang.String locationType

  The cached value of the '`Location Type`' attribute.

  See Also:
    `getLocationType()`

### PROCESS_ID_EDEFAULT

    protected static final java.lang.String PROCESS_ID_EDEFAULT

  The default value of the '`Process Id`' attribute.

  See Also:
    `getProcessId()`

### processId

    protected java.lang.String processId

  The cached value of the '`Process Id`' attribute.

  See Also:
    `getProcessId()`

### SUB_COMPONENT_EDEFAULT

    protected static final java.lang.String SUB_COMPONENT_EDEFAULT

  The default value of the '`Sub Component`' attribute.

  See Also:
    `getSubComponent()`

### subComponent

    protected java.lang.String subComponent

  The cached value of the '`Sub Component`' attribute.

  See Also:
    `getSubComponent()`

### THREAD_ID_EDEFAULT

    protected static final java.lang.String THREAD_ID_EDEFAULT

  The default value of the '`Thread Id`' attribute.

  See Also:
    `getThreadId()`

### threadId

    protected java.lang.String threadId

  The cached value of the '`Thread Id`' attribute.

  See Also:
    `getThreadId()`

Constructor Detail

### ComponentIdentificationImpl

    protected ComponentIdentificationImpl()

Method Detail

### setApplication

    public void setApplication(java.lang.String newApplication)

  Specified by:
    `setApplication` in interface `ComponentIdentification`
  Parameters:
    `newApplication` - the new value of the 'Application' attribute.
  See Also:
    `ComponentIdentification.getApplication()`

### getApplication

    public java.lang.String getApplication()

  Specified by:
    `getApplication` in interface `ComponentIdentification`
  Returns:
    the value of the 'Application' attribute.
  See Also:
    `ComponentIdentification.setApplication(String)`, `EventPackage.getComponentIdentification_Application()`

### setComponent

    public void setComponent(java.lang.String newComponent)

  Specified by:
    `setComponent` in interface `ComponentIdentification`
  Parameters:
    `newComponent` - the new value of the 'Component' attribute.
  See Also:
    `ComponentIdentification.getComponent()`

### getComponent

    public java.lang.String getComponent()

  Specified by:
    `getComponent` in interface `ComponentIdentification`
  Returns:
    the value of the 'Component' attribute.
  See Also:
    `ComponentIdentification.setComponent(String)`, `EventPackage.getComponentIdentification_Component()`

### setComponentIdType

    public void setComponentIdType(java.lang.String newComponentIdType)

  Specified by:
    `setComponentIdType` in interface `ComponentIdentification`
  Parameters:
    `newComponentIdType` - the new value of the 'Component Id Type' attribute.
  See Also:
    `ComponentIdentification.getComponentIdType()`

### getComponentIdType

    public java.lang.String getComponentIdType()

  Specified by:
    `getComponentIdType` in interface `ComponentIdentification`
  Returns:
    the value of the 'Component Id Type' attribute.
  See Also:
    `ComponentIdentification.setComponentIdType(String)`, `EventPackage.getComponentIdentification_ComponentIdType()`

### setComponentType

    public void setComponentType(java.lang.String newComponentType)

  Specified by:
    `setComponentType` in interface `ComponentIdentification`
  Parameters:
    `newComponentType` - the new value of the 'Component Type' attribute.
  See Also:
    `ComponentIdentification.getComponentType()`

### getComponentType

    public java.lang.String getComponentType()

  Specified by:
    `getComponentType` in interface `ComponentIdentification`
  Returns:
    the value of the 'Component Type' attribute.
  See Also:
    `ComponentIdentification.setComponentType(String)`, `EventPackage.getComponentIdentification_ComponentType()`

### setExecutionEnvironment

    public void setExecutionEnvironment(java.lang.String newExecutionEnvironment)

  Specified by:
    `setExecutionEnvironment` in interface `ComponentIdentification`
  Parameters:
    `newExecutionEnvironment` - the new value of the 'Execution Environment' attribute.
  See Also:
    `ComponentIdentification.getExecutionEnvironment()`

### getExecutionEnvironment

    public java.lang.String getExecutionEnvironment()

  Specified by:
    `getExecutionEnvironment` in interface `ComponentIdentification`
  Returns:
    the value of the 'Execution Environment' attribute.
  See Also:
    `ComponentIdentification.setExecutionEnvironment(String)`, `EventPackage.getComponentIdentification_ExecutionEnvironment()`

### setInstanceId

    public void setInstanceId(java.lang.String newInstanceId)

  Specified by:
    `setInstanceId` in interface `ComponentIdentification`
  Parameters:
    `newInstanceId` - the new value of the 'Instance Id' attribute.
  See Also:
    `ComponentIdentification.getInstanceId()`

### getInstanceId

    public java.lang.String getInstanceId()

  Specified by:
    `getInstanceId` in interface `ComponentIdentification`
  Returns:
    the value of the 'Instance Id' attribute.
  See Also:
    `ComponentIdentification.setInstanceId(String)`, `EventPackage.getComponentIdentification_InstanceId()`

### setLocation

    public void setLocation(java.lang.String newLocation)

  Specified by:
    `setLocation` in interface `ComponentIdentification`
  Parameters:
    `newLocation` - the new value of the 'Location' attribute.
  See Also:
    `ComponentIdentification.getLocation()`

### getLocation

    public java.lang.String getLocation()

  Specified by:
    `getLocation` in interface `ComponentIdentification`
  Returns:
    the value of the 'Location' attribute.
  See Also:
    `ComponentIdentification.setLocation(String)`, `EventPackage.getComponentIdentification_Location()`

### setLocationType

    public void setLocationType(java.lang.String newLocationType)

  Specified by:
    `setLocationType` in interface `ComponentIdentification`
  Parameters:
    `newLocationType` - the new value of the 'Location Type' attribute.
  See Also:
    `ComponentIdentification.getLocationType()`

### getLocationType

    public java.lang.String getLocationType()

  Specified by:
    `getLocationType` in interface `ComponentIdentification`
  Returns:
    the value of the 'Location Type' attribute.
  See Also:
    `ComponentIdentification.setLocationType(String)`, `EventPackage.getComponentIdentification_LocationType()`

### setProcessId

    public void setProcessId(java.lang.String newProcessId)

  Specified by:
    `setProcessId` in interface `ComponentIdentification`
  Parameters:
    `newProcessId` - the new value of the 'Process Id' attribute.
  See Also:
    `ComponentIdentification.getProcessId()`

### getProcessId

    public java.lang.String getProcessId()

  Specified by:
    `getProcessId` in interface `ComponentIdentification`
  Returns:
    the value of the 'Process Id' attribute.
  See Also:
    `ComponentIdentification.setProcessId(String)`, `EventPackage.getComponentIdentification_ProcessId()`

### setSubComponent

    public void setSubComponent(java.lang.String newSubComponent)

  Specified by:
    `setSubComponent` in interface `ComponentIdentification`
  Parameters:
    `newSubComponent` - the new value of the 'Sub Component' attribute.
  See Also:
    `ComponentIdentification.getSubComponent()`

### getSubComponent

    public java.lang.String getSubComponent()

  Specified by:
    `getSubComponent` in interface `ComponentIdentification`
  Returns:
    the value of the 'Sub Component' attribute.
  See Also:
    `ComponentIdentification.setSubComponent(String)`, `EventPackage.getComponentIdentification_SubComponent()`

### setThreadId

    public void setThreadId(java.lang.String newThreadId)

  Specified by:
    `setThreadId` in interface `ComponentIdentification`
  Parameters:
    `newThreadId` - the new value of the 'Thread Id' attribute.
  See Also:
    `ComponentIdentification.getThreadId()`

### getThreadId

    public java.lang.String getThreadId()

  Specified by:
    `getThreadId` in interface `ComponentIdentification`
  Returns:
    the value of the 'Thread Id' attribute.
  See Also:
    `ComponentIdentification.setThreadId(String)`, `EventPackage.getComponentIdentification_ThreadId()`

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### equals

    public boolean equals(java.lang.Object arg0)

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### validate

    public void validate()
                  throws ValidationException

  Description copied from interface: `ComponentIdentification`

  Checks whether the contents of this object conform to the CBE specification.

  Specified by:
    `validate` in interface `ComponentIdentification`
  Throws:
    `ValidationException` - if the object does not follow the CBE specification.
  See Also:
    `ComponentIdentification.validate()`

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SerializableImpl`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Object
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `ComponentIdentification`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD